<template>
  <div
    class="sub-header d-flex flex-column flex-md-row justify-content-md-between align-items-md-center shadow-card py-2 px-1"
  >
    <h2 class="title my-0 py-2" :class="{ 'w-100 bg-light': !filters }">
      <span class="text-primary">
        <i class="fas fa-chevron-right" aria-hidden="true"></i>
      </span>
      {{ title }}
    </h2>

    <button
      type="button"
      class="btn btn-success d-block d-md-inline-block btn-filters py-1"
      @click="$bvModal.show('modal-filters')"
      v-if="filters"
    >
      <i class="fas fa-sort-amount-up-alt" aria-hidden="true"></i>
      Filtrar
    </button>
  </div>
</template>

<script>
export default {
  props: {
    title: String,
    filters: Boolean,
  },
};
</script>

<style lang="scss" scoped>
.sub-header {
  .title {
    font-size: 1em;
    font-weight: 700;
  }
}
</style>
